apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend
  labels:
    description: "A_basic_golang_backend"
spec:
  replicas: 3
  selector:
    matchLabels:
      app: backend
  # PodTemplate
  template:
    metadata:
      labels:
        app: backend
    #Pod Spec
    spec:
      containers:
      - name: backend
        image: jwilder/whoami
        resources: {}
        env:
        # REDIS_HOST=redis
          - name: REDIS_HOST
            value: redis
        ports:
        - containerPort: 8000
          name: http

---
apiVersion: v1
kind: Service
metadata:
  name: backend
spec:
  type: ClusterIP
  selector:
    app: backend
  ports:
  - port: 80
    targetPort: http
